{% set CodiceModulo = "DOM_ALLACCIAMENTODISTACCO_LUCEVOTIVA" %}
{% set Urn = "document:c_l411:lampade.votive.richiesta.attivazione.disattivazione" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Servizi cimiteriali"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di allacciamento/distacco al contratto di illuminazione votiva"
destinatario_amministrazione=""
destinatario_ufficio="UOSERVIZICIMITERIALI"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|24/04/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di allacciamento/distacco al contratto di illuminazione votiva {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - lampada o luce votiva' 
+(#Tassonomia_TipoIstanza1.checked() ? ' (allaccio)' : '')
+(#Tassonomia_TipoIstanza2.checked() ? ' (distacco)' : '')"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di allacciamento/distacco al contratto di illuminazione votiva </div>
</div>



<div class="container border bg-light">
  <input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
  <input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
  <input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
  {{ anagrafica.persona_fisica( prefix="Titolare", 
                                intestazione="Il sottoscritto", 
                                visibility_intestazione="visibility:visibility", 
                                visibility_residenza="visibility:visibility", 
                                visibility_mail="mail_ordinaria", 
                                cf_obbligatorio="true", 
                                pec_obbligatoria ="false", 
                                campi_readonly="readonly", 
                                mailordinaria_obbligatoria="false", 
                                visibility_domicilio="display:none", 
                                visibility_datanascita="visibility:visibility", 
                                onceonly="false",
                                visibility_container="false")}}
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title"> in qualità di </span>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Titolare_Note"> Ruolo (*) </label>
        <select class="form-control custom-select" id="Titolare_Note" name="Titolare_Note" label="Ruolo" mandatory_enabled="true">
          <option value=""></option>
          <option value="coniuge del defunto">coniuge del defunto</option>
          <option value="convivente del defunto">convivente del defunto</option>
          <option value="esecutore testamentario del defunto">esecutore testamentario del defunto</option>
          <option value="figlio del defunto">figlio del defunto</option>
          <option value="genitore del defunto">genitore del defunto</option>
          <option value="persona interessata a dare sepoltura al defunto">persona interessata a dare sepoltura al defunto</option>
        </select>
      </div>
    </div>
  </div>

<div class="container">
  <div class="paragraph text-justify"> <span class="infoes"> Ruolo (*): coniuge del defunto, convivente del defunto, esecutore testamentario del defunto, figlio del defunto, genitore del defunto, persona interessata a dare sepoltura al defunto </span> </div>
</div>
  
{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
</div>

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_TipoIstanza" name="Tassonomia_TipoIstanza" label="Tipo istanza" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_TipoIstanza1" name="Tassonomia_TipoIstanza" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_TipoIstanza1"> l'allacciamento del servizio di illuminazione votiva per le seguenti sepolture </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_TipoIstanza2" name="Tassonomia_TipoIstanza" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_TipoIstanza2"> l'allacciamento del servizio di illuminazione votiva per le seguenti sepolture </label>
    <div class="form-row">
      <div class="form-group col-lg-9">
        <label for="Parametri_Contratto"> Numero contratto </label>
        <input class="form-control" id="Parametri_Contratto" name="Parametri_Contratto" label="Numero contratto" mandatory_enabled="#Tassonomia_TipoIstanza2.checked()">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_Contratto_Data"> Data contratto </label>
        <input class="form-control" id="Parametri_Contratto_Data" name="Parametri_Contratto_Data" label="Data contratto" mandatory_enabled="#Tassonomia_TipoIstanza2.checked()" format="date">
      </div>
    </div>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> <input id="Lampada1" name="Lampada1" type="checkbox" value="SI" checked="checked" dynamic_check="true"/> &nbsp; lampada o luce votiva </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Tipo sepoltura </label>
    </div>
  </div>
  {% set testi = [
    "loculo",
    "tomba",
    "ossario",
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Tipo1Sepoltura" name="Tassonomia_Tipo1Sepoltura" label="Tipo sepoltura" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Tipo1Sepoltura{{ loop.index }}" name="Tassonomia_Tipo1Sepoltura" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Tipo1Sepoltura{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="AventeTitolo1_Note"> Collocazione </label>
      <input class="form-control" id="AventeTitolo1_Note" name="AventeTitolo1_Note" label="Collocazione del defunto" mandatory_enabled="true">
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Cimitero </label>
    </div>
  </div>
  {% set testi = [
    "Trezzo sull'Adda",
    "Concesa"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Tipo1Cimitero" name="Tassonomia_Tipo1Cimitero" label="Cimitero" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Tipo1Cimitero{{ loop.index }}" name="Tassonomia_Tipo1Cimitero" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Tipo1Cimitero{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  {{ anagrafica.cognome_nome(prefix='AventeTitolo1', 
                             intestazione="Il sottoscritto", 
                             Solo1="Richiedente", 
                             visibility_intestazione="display:none", 
                             mandatory_enabled="true", 
                             visibility_container="false") }}
</div>
<globo_salto_pagina></globo_salto_pagina>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> <input id="Lampada2" name="Lampada2" type="checkbox" value="SI" /> &nbsp; ulteriore lampada o luce votiva </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Tipo sepoltura </label>
    </div>
  </div>
  {% set testi = [
    "loculo",
    "tomba",
    "ossario",
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Tipo2Sepoltura" name="Tassonomia_Tipo2Sepoltura" label="Tipo sepoltura" mandatory_enabled="#Lampada2.checked()"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Tipo2Sepoltura{{ loop.index }}" name="Tassonomia_Tipo2Sepoltura" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Tipo2Sepoltura{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="AventeTitolo2_Note"> Collocazione </label>
      <input class="form-control" id="AventeTitolo2_Note" name="AventeTitolo2_Note" label="Collocazione del defunto" mandatory_enabled="#Lampada2.checked()">
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Cimitero </label>
    </div>
  </div>
  {% set testi = [
    "Trezzo sull'Adda",
    "Concesa"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Tipo2Cimitero" name="Tassonomia_Tipo2Cimitero" label="Cimitero" mandatory_enabled="#Lampada2.checked()"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Tipo2Cimitero{{ loop.index }}" name="Tassonomia_Tipo2Cimitero" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Tipo2Cimitero{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  {{ anagrafica.cognome_nome(prefix='AventeTitolo2', 
                             intestazione="Il sottoscritto", 
                             Solo1="Richiedente", 
                             visibility_intestazione="display:none", 
                             mandatory_enabled="#Lampada2.checked()", 
                             visibility_container="false") }}
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}